##############################################################################
# $Id: xawdecode-gen.spec.in,v 1.7 2003/05/02 14:12:23 pingus77 Exp $
##############################################################################
# need nextaw 0.14, ffmpeg 0.4.6 from FFmpeg SF project, lame 3.93 from Lame SF project
# divx 5.01 alpha from divx.com, xvid 0.90 from xvid.org

%define name 			xawdecode
%define Name 			Xawdecode
%define version 		1.6.8
%define release 		1kl
%define summary1		%{Name} is a fork of xawtv that allows you to watch TV, record AVI files with possibility of plugin extensions.
%define summary2		Developpement files for %{Name}.
%define summary3		This is a small tool to configure a video4linux device driver.
%define summary4		Font used by %{Name} OSD function.

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
Copyright: 			GPL
Distribution: 			ALL RPM Based Linux Distributions
Packager: 			Pingus <pingus77@ifrance.com>
URL:				http://xawdecode.sourceforge.net/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a fork of xawtv that allows you to watch TV, record AVI
files with possibility of plugin extensions.
It interacts with AleVT for Teletext and Nxtvepg for NextView signal,
%{Name} uses the video4linux API. It can use deinterlacing filters
%{Name} allows you to record video files with the xvid,
ffmpeg and divx4 codecs.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name}

%package v4l-conf
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}

%description v4l-conf
This is a small tool to configure a video4linux device driver.
It is required to make the video overlay work in fbtv, xawtv and %{Name}

%package OSD-font
Summary:			%{summary4}
Group:				Video
Requires:			%{name} = %{version}

%description OSD-font
Font used by %{Name} OSD function.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --disable-alsa
make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install
strip $RPM_BUILD_ROOT/%{_bindir}/*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQfr-xawdecode libavc-rate-control.txt
%doc lircrc.hauppauge.sample lircrc.miro.sample lisez-moi README.avilib
%doc xawdecoderc.sample INSTALL README README.deinterlace README.ffmpeg
%doc lircrc.animax.sample
%{_sysconfdir}/X11/app-defaults/%{Name}
%{_bindir}/%{name}
%{_prefix}/man/man1/*
%{_datadir}/%{name}/icons/*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files v4l-conf
%defattr(-,root,root)
%{_bindir}/v4l-conf

%files OSD-font
%defattr(-,root,root)
%{_prefix}/X11R6/lib/X11/fonts/misc/led-fixed.pcf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 02 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.8
- a lot of changes for this spec file

* Fri Jan 25 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.7
- small updates on spec file
- OSD-font sample package
- v4l-conf sample package

* Mon Nov 11 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6

* Wed Oct 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.5
